List Transactions
Lists all transactions within the specified collection.
Request
Section titled “Request”A request can be submitted to this endpoint using the details below:
Method
Section titled “Method”https://api.fyendalscollection.com/collection/{collectionId}/transactioncollectionId- The ID of the collection to list transactions from.
Query Parameters
Section titled “Query Parameters”sortOrder- The order in which to sort the transactions. Can be eitherChronologicalorAlphabetical. The default isChronological.
Example
Section titled “Example”GET /collection/3a14b163-15ee-41e2-a802-1494f2cc0d3f/transaction?sortOrder=Chronological HTTP/1.1Host: api.fyendalscollection.comAuthorization: Bearer eyJ...Response
Section titled “Response”A successful response from this endpoint gives a 200 OK and uses the following
response model for each result:
Response Model
Section titled “Response Model”interface TransactionResponseModel { readonly transactionId: string; readonly variantId: string; readonly productId: string; readonly occurred: string; readonly action: string; readonly quantity: number; readonly unitAmount: Money; readonly variantName: string; readonly productName: string; readonly number: string | null; readonly imageUrl: string; readonly fcId: string;}Example
Section titled “Example”HTTP/1.1 200 OKContent-Type: application/json
{ "results": [ { "transactionId": "bfdd3db0-afb6-4934-9f39-c3aa97f9a459", "variantId": "2ca236a1-a30b-4246-8258-fbecac1003ee", "productId": "549623c8-34df-4018-a39e-75b37664da77", "occurred": "2025-08-31T12:00:00Z", "action": "Purchase", "quantity": 1, "unitAmount": { "currency": "USD", "value": 149.99 }, "variantName": "1st Edition Cold Foil", "productName": "Arknight Shard", "number": "CRU000", "imageUrl": "https://example.com/image.jpg", "fcId": "CRU000-1ST-CF" } ], "nextCursor": 1}Problem Types
Section titled “Problem Types”The following problem types can be encountered when using this endpoint:
NotFound
Section titled “NotFound”If the specified collection does not exist or if searching beyond the maximum cursor.